/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 * @flow strict-local
 */

import type {ViewProps} from 'react-native/Libraries/Components/View/ViewPropTypes';
import type {HostComponent} from 'react-native/Libraries/Renderer/shims/ReactNativeTypes';
import type {WithDefault} from 'react-native/Libraries/Types/CodegenTypes';

import codegenNativeComponent from 'react-native/Libraries/Utilities/codegenNativeComponent';

type NativeProps = $ReadOnly<{|
  ...ViewProps,

  // Props
  alignment?: WithDefault<'top' | 'center' | 'bottom-right', 'center'>,
  intervals?: WithDefault<0 | 15 | 30 | 60, 0>,
|}>;

export default (codegenNativeComponent<NativeProps>(
  'EnumPropNativeComponentView',
): HostComponent<NativeProps>);
